Bug 10993 - Navigation in network configuration step is illogical (DHCP)
: Navigation in network configuration step is illogical (DHCP)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-install2)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-03 08:56 by
Modified: 2007-04-27 19:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-03 08:56:47
----------------------------------------------------------------
>> * Network settings
>> 
>>  Тут странная навигация.
>> 
>>  - Кнопка "сетевые соединения" выглядит как заголовок.
>> 
>>  - После нажатия кнопки "сетевые соединения" попадаем в некий новый
>>    экран, в то время как wizard предполагает передвижение вперёд/назад
>>    только кнопками backward/forward.
>> 
>>  - Кнопка forward из этого экрана ведёт назад (!!) в "network settings".
>> 
>>  Тут, наверное, лучше сделать какой-нибудь tabbed-интерфейс, как на
>>  следующей страничке или модальные диалоговые окошки (хоть модальные
>>  диалоговые окошки и зло в общем случае, но в таком
>>  single-task-oriented интерфейсе они вроде не особо повредят).

SI> Кстати действительно tabbed будет тут совсем не плохим вариантом
SI> - наверное так и сделаем.
----------------------------------------------------------------

----------------------------------------------------------------
 >> > * Network settings
 >> >  Тут странная навигация.
 >> >  - Кнопка "сетевые соединения" выглядит как заголовок.

 MS> Да, она неизоморфна с "возвратом" -- неочевидно, что это
 MS> взаимообратные пути.

 >> >  - После нажатия кнопки "сетевые соединения" попадаем в некий новый
 >> >    экран, в то время как wizard предполагает передвижение вперёд/назад
 >> >    только кнопками backward/forward.

 MS> Я уже попытался объяснить Стасу, что до переворачивания было
 MS> объективно лучше -- теоретическое улучшение привело к тому,
 MS> что инсталер ещё в одном месте незаметно становится не линейным,
 MS> а двумерным.

 MS> Попробуй на DHCP настроиться, это выглядит так:

 MS> - попадаем в общие настройки;
 MS> - видим серый пункт "have DHCP";
 MS> - если залазим в секретную комнату "сетевые соединения", то видим
 MS>   заветную кнопку "тоже DHCP";
 MS> - если её нажали _и_ вернулись в общие (кажется, при этом forward
 MS>   задизейблен, т.е. можно ещё вдоволь понедоумевать, что за
 MS>   тупик) -- вот тогда у нас будет "включено dhcp" и можно выбрать
 MS>   его для получения общесетевых настроек.

 MS> Бред какой-то.

 MS> На самом деле для тривиального случая (один eth) при цели
 MS> "простой и быстрый инсталер" надо сделать одну большую кнопку
 MS> "DHCP", при нажатии которой _всё_ получается по DHCP, и вторую
 MS> большую кнопку "настроить руками", по которой вываливается вся
 MS> кухня по настройке руками.

 MS> Да, а для серверов всё равно не получится "быстрой настройки", 
 MS> поскольку у них обычны два набортных интерфейса. [...]

 >> >  - Кнопка forward из этого экрана ведёт назад (!!) в "network settings".

 MS> Да, квест получился покруче alterator-vm.  Прям закон сохранения
 MS> квестовости альтовского инсталера какой-то?
----------------------------------------------------------------
------- Comment #1 From 2007-03-08 19:16:23 -------
Мне кажется, что в новой редакции стало получше.
------- Comment #2 From 2007-03-08 19:18:24 -------
С табами гораздо лучше. Ещё бы разобраться с DHCP, который всё ещё каким-то 
мистическим образом настраивается (по крайней мере я так и не понял, что нужно 
сделать, чтобы checkbox про DHCP на первой закладке за-enable-ился).
------- Comment #3 From 2007-03-09 09:39:51 -------
Достаточно врубить dhcp в одном из интерфейсов на втором табе, чтобы в первом
всё загорелось. Если по какой-то причине этого не происходит, то это с большой
вероятностью какая-то бага.
------- Comment #4 From 2007-03-09 09:47:35 -------
Произошло, произошло. Вопрос только в том, какую реакцию, кроме "ой, $%я", 
может такое интерфейсное решение вызвать :)

ps: а как с этим у RH/SuSE? IIRC, в их инсталляторах было сделано удобно, по 
крйней мере вопросов "а как это настроить" я себе не задавал.
------- Comment #5 From 2007-03-09 09:50:38 -------
Не знаю, придумаете что-то хорошее - сделаем.
А вот насчёт хорошего интерфейса для сети в RH/SuSE готов поспорить.

инсталлятор SuSE - это вообще труба. Шаг вправо, шаг влево от генеральной линии
и попадаешь в такие диалоги, что лучше бы их не видел ;)
Один раз залетел куда-то с перепугу - долго пытался вырулить обратно на шоссе.
------- Comment #6 From 2007-03-17 12:17:35 -------
Навигацию починили :) Закрываю.

-> FIXED
------- Comment #7 From 2007-03-17 12:17:58 -------
-> CLOSED
------- Comment #8 From 2007-03-31 18:15:57 -------
(In reply to comment #2)
> С табами гораздо лучше.
Да, только их порядок бы ещё поменять.  Сперва интерфейсы и DHCP, а потом --
общие настройки, которые наследуют от интерфейсов установку DHCP.

Альтернативой вижу только "сперва выбираем DHCP/static, а только потом
проваливаемся в диалог с табами".  Что совсем нелогично в случае отсутствия eth.

> Ещё бы разобраться с DHCP, который всё ещё каким-то 
> мистическим образом настраивается (по крайней мере я так и не понял, что нужно 
> сделать, чтобы checkbox про DHCP на первой закладке за-enable-ился).
Перечитай ту поэму, которую я настрогал, и вдумайся, что от замены кнопок табами
сущность неочевидности не изменилась.

2 inger: я не очень хочу переоткрывать этот баг, но лучше лишний раз закрыть,
чем забыть, хорошо?

2 dottedmag: спасибо, что отрелеил; только ещё Cc: бы поставил :)
------- Comment #9 From 2007-04-02 09:36:10 -------
по любому это теперь в alterator-install2
------- Comment #10 From 2007-04-02 18:56:45 -------
(In reply to comment #8)
> (In reply to comment #2)
> > С табами гораздо лучше.
> Да, только их порядок бы ещё поменять.  Сперва 
интерфейсы и DHCP, а потом --
> общие настройки, которые наследуют от 
интерфейсов установку DHCP.
> 
> Альтернативой вижу только "сперва выбираем 
DHCP/static, а только потом
> проваливаемся в диалог с табами".  Что совсем 
нелогично в случае отсутствия eth.

Мало того, если всё же ввести общие настройки, 
перейти к интерфейсам, а потом вернуться к общим 
настройкам, то ранее введенные общие настройки 
теряются и устанавливаются дефолтные.
------- Comment #11 From 2007-04-02 18:58:37 -------
Под дедлайн -- остаётся сперва настраивать ifaces, а потом общие параметры.
------- Comment #12 From 2007-04-02 19:06:41 -------
Сброс настроек выделил в отдельный баг: #11317

------- Comment #13 From 2007-04-06 19:07:56 -------
*** Bug 11389 has been marked as a duplicate of this bug. ***
------- Comment #14 From 2007-04-07 17:43:46 -------
Лёш, если будет ещё RC -- надо бы исправить.  Уж очень неочевидно.
------- Comment #15 From 2007-04-17 15:06:44 -------
Поменял местами табы. Если сетевых интерфейсов нет вообще, таба "IP interfaces"
тоже не будет.
------- Comment #16 From 2007-04-27 19:46:56 -------
Ура, товарищи.  Проверено, работает.